summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/check_for_upgrade.sh9
-rwxr-xr-xtools/install.sh32
-rwxr-xr-xtools/theme_chooser.sh96
-rw-r--r--tools/upgrade.sh20
4 files changed, 127 insertions, 30 deletions
diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index 4643739ca..e1e4eb99f 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -25,10 +25,11 @@ then
if [ "$line" = Y ] || [ "$line" = y ]
then
/bin/sh $ZSH/tools/upgrade.sh
+ # update the zsh file
+ _update_zsh_update
fi
fi
+else
+ # create the zsh file
+ _update_zsh_update
fi
-
-# update the zsh file
-_update_zsh_update
-
diff --git a/tools/install.sh b/tools/install.sh
index 6e3872bb9..aedb706da 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -1,36 +1,36 @@
if [ -d ~/.oh-my-zsh ]
then
- echo "You already have Oh My Zsh installed. You'll need to remove ~/.oh-my-zsh if you want to install"
+ echo "\033[0;33mYou already have Oh My Zsh installed.\033[0m You'll need to remove ~/.oh-my-zsh if you want to install"
exit
fi
-echo "Cloning Oh My Zsh..."
-/usr/bin/env git clone git://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+echo "\033[0;34mCloning Oh My Zsh...\033[0m"
+/usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
-echo "Looking for an existing zsh config..."
+echo "\033[0;34mLooking for an existing zsh config...\033[0m"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]
then
- echo "Found ~/.zshrc. Backing up to ~/.zshrc.pre-oh-my-zsh";
+ echo "\033[0;33mFound ~/.zshrc.\033[0m \033[0;32]Backing up to ~/.zshrc.pre-oh-my-zsh\033[0m";
cp ~/.zshrc ~/.zshrc.pre-oh-my-zsh;
rm ~/.zshrc;
fi
-echo "Using the Oh My Zsh template file and adding it to ~/.zshrc"
+echo "\033[0;34mUsing the Oh My Zsh template file and adding it to ~/.zshrc\033[0m"
cp ~/.oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc
-echo "Copying your current PATH and adding it to the end of ~/.zshrc for you."
+echo "\033[0;34mCopying your current PATH and adding it to the end of ~/.zshrc for you.\033[0m"
echo "export PATH=$PATH" >> ~/.zshrc
-echo "Time to change your default shell to zsh!"
-chsh -s "/usr/bin/env zsh"
+echo "\033[0;34mTime to change your default shell to zsh!\033[0m"
+chsh -s `which zsh`
-echo ' __ __ '
-echo ' ____ / /_ ____ ___ __ __ ____ _____/ /_ '
-echo ' / __ \/ __ \ / __ `__ \/ / / / /_ / / ___/ __ \ '
-echo '/ /_/ / / / / / / / / / / /_/ / / /_(__ ) / / / '
-echo '\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '
-echo ' /____/'
+echo "\033[0;32m"' __ __ '"\033[0m"
+echo "\033[0;32m"' ____ / /_ ____ ___ __ __ ____ _____/ /_ '"\033[0m"
+echo "\033[0;32m"' / __ \/ __ \ / __ `__ \/ / / / /_ / / ___/ __ \ '"\033[0m"
+echo "\033[0;32m"'/ /_/ / / / / / / / / / / /_/ / / /_(__ ) / / / '"\033[0m"
+echo "\033[0;32m"'\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '"\033[0m"
+echo "\033[0;32m"' /____/ '"\033[0m"
-echo "\n\n ....is now installed."
+echo "\n\n \033[0;32m....is now installed.\033[0m"
/usr/bin/env zsh
source ~/.zshrc
diff --git a/tools/theme_chooser.sh b/tools/theme_chooser.sh
new file mode 100755
index 000000000..4d7047444
--- /dev/null
+++ b/tools/theme_chooser.sh
@@ -0,0 +1,96 @@
+#!/bin/zsh
+
+# Zsh Theme Chooser by fox (fox91 at anche dot no)
+# This program is free software. It comes without any warranty, to
+# the extent permitted by applicable law. You can redistribute it
+# and/or modify it under the terms of the Do What The Fuck You Want
+# To Public License, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+THEMES_DIR="$ZSH/themes"
+FAVLIST="${HOME}/.zsh_favlist"
+source $ZSH/oh-my-zsh.sh
+
+function noyes() {
+ read "a?$1 [y/N] "
+ if [[ $a == "N" || $a == "n" || $a = "" ]]; then
+ return 0
+ fi
+ return 1
+}
+
+function theme_preview() {
+ THEME=$1
+ THEME_NAME=`echo $THEME | sed s/\.zsh-theme$//`
+ print "$fg[blue]${(l.((${COLUMNS}-${#THEME_NAME}-5))..─.)}$reset_color $THEME_NAME $fg[blue]───$reset_color"
+ source "$THEMES_DIR/$THEME"
+ print -P $PROMPT
+}
+
+function banner() {
+ echo
+ echo "╺━┓┏━┓╻ ╻ ╺┳╸╻ ╻┏━╸┏┳┓┏━╸ ┏━╸╻ ╻┏━┓┏━┓┏━┓┏━╸┏━┓"
+ echo "┏━┛┗━┓┣━┫ ┃ ┣━┫┣╸ ┃┃┃┣╸ ┃ ┣━┫┃ ┃┃ ┃┗━┓┣╸ ┣┳┛"
+ echo "┗━╸┗━┛╹ ╹ ╹ ╹ ╹┗━╸╹ ╹┗━╸ ┗━╸╹ ╹┗━┛┗━┛┗━┛┗━╸╹┗╸"
+ echo
+}
+
+function usage() {
+ echo "Usage: $0 [options] [theme]"
+ echo
+ echo "Options"
+ echo " -l List available themes"
+ echo " -s Show all themes"
+ echo " -h Get this help message"
+ exit 1
+}
+
+function list_themes() {
+ for THEME in $(ls $THEMES_DIR); do
+ THEME_NAME=`echo $THEME | sed s/\.zsh-theme$//`
+ echo $THEME_NAME
+ done
+}
+
+function insert_favlist() {
+ if grep -q "$THEME_NAME" $FAVLIST 2> /dev/null ; then
+ echo "Already in favlist"
+ else
+ echo $THEME_NAME >> $FAVLIST
+ echo "Saved to favlist"
+ fi
+
+}
+
+function theme_chooser() {
+ for THEME in $(ls $THEMES_DIR); do
+ echo
+ theme_preview $THEME
+ echo
+ if [[ -z $1 ]]; then
+ noyes "Do you want to add it to your favourite list ($FAVLIST)?" || \
+ insert_favlist $THEME_NAME
+ echo
+ fi
+ done
+}
+
+while getopts ":lhs" Option
+do
+ case $Option in
+ l ) list_themes ;;
+ s ) theme_chooser 0 ;;
+ h ) usage ;;
+ * ) usage ;; # Default.
+ esac
+done
+
+if [[ -z $Option ]]; then
+ if [[ -z $1 ]]; then
+ banner
+ echo
+ theme_chooser
+ else
+ theme_preview $1".zsh-theme"
+ fi
+fi
diff --git a/tools/upgrade.sh b/tools/upgrade.sh
index 6bdd02e38..52a8cc4da 100644
--- a/tools/upgrade.sh
+++ b/tools/upgrade.sh
@@ -1,12 +1,12 @@
current_path=`pwd`
-echo "Upgrading Oh My Zsh"
+echo -e "\033[0;34mUpgrading Oh My Zsh\033[0m"
( cd $ZSH && git pull origin master )
-echo ' __ __ '
-echo ' ____ / /_ ____ ___ __ __ ____ _____/ /_ '
-echo ' / __ \/ __ \ / __ `__ \/ / / / /_ / / ___/ __ \ '
-echo '/ /_/ / / / / / / / / / / /_/ / / /_(__ ) / / / '
-echo '\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '
-echo ' /____/'
-echo "Hooray! Oh My Zsh has been updated and/or is at the current version. \nAny new updates will be reflected when you start your next terminal session."
-echo "To keep up on the latest, be sure to follow Oh My Zsh on twitter: http://twitter.com/ohmyzsh"
-cd $current_path \ No newline at end of file
+echo -e "\033[0;32m"' __ __ '"\033[0m"
+echo -e "\033[0;32m"' ____ / /_ ____ ___ __ __ ____ _____/ /_ '"\033[0m"
+echo -e "\033[0;32m"' / __ \/ __ \ / __ `__ \/ / / / /_ / / ___/ __ \ '"\033[0m"
+echo -e "\033[0;32m"'/ /_/ / / / / / / / / / / /_/ / / /_(__ ) / / / '"\033[0m"
+echo -e "\033[0;32m"'\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '"\033[0m"
+echo -e "\033[0;32m"' /____/ '"\033[0m"
+echo -e "\033[0;34mHooray! Oh My Zsh has been updated and/or is at the current version.\033[0m"
+echo -e "\033[0;34mTo keep up on the latest, be sure to follow Oh My Zsh on twitter: \033[1mhttp://twitter.com/ohmyzsh\033[0m"
+cd "$current_path"